html, body {
  background-color: #eeeeee;
}

button * {
  pointer-events: none;
}

.slds-button.ui-draggable-dragging {
  z-index: 9999;
  //width: 44px;
  //height: 44px;
  //font-size: 24px;
  //line-height: 44px;
  //margin-top: -40px;
}

.sw-container_xx-small {
  width: 16rem;
}

.slds-button {
  line-height: 2.5rem;
}

.slds-button_large {
  line-height: 2.5rem;
  font-size: 1.2rem;
}

.slds-has-error {
  position: relative;
}

.slds-has-error:after {
  content: "*";
  display: block;
  position: absolute;
  right: -10px;
  top: 0;
  line-height: 38px;
  color: #c23934;
  font-weight: bold;
  font-size: 18px;
}

.slds-button--success, .slds-button_success {
  background-color: #0ba04b;
  border-color: #0ba04b;
  color: white;
}


.slds-dropdown-trigger .active-icon {
  display: none;
}

.slds-dropdown-trigger .inactive-icon {
  display: block;
}

.slds-dropdown-trigger.slds-is-open .active-icon {
  display: block;
}

.slds-dropdown-trigger.slds-is-open  .inactive-icon {
  display: none;
}



/* -------- */
#container{
  //width: 350px;
  //margin: 0 auto;
}

#header {
  padding: 8px;
  background-color: #0060a5;
}

#header button .icon-user:before {
  font-size: 20px;
  vertical-align: super;
  margin-right: 8px;
}

.header-title {
  font-size: 24px;
  line-height: 42px;
  color: white;
  text-shadow: 2px 2px 2px #333333;
}

#stage {
  padding-top: 10px;
}

.icon-whatsapp:before {
  color: #25D366;
  font-weight: bolder;
  font-size: 16px;
  margin-left: 10px;
}

.icon-copy:before {
  font-weight: bolder;
  font-size: 16px;
  margin-left: 10px;
}

section.section-top-separator {
  position: relative;
  padding-top: 12px;
}

section.section-top-separator:before {
  width: 250px;
  content: '';
  display: block;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0);
  background-image: linear-gradient(to right, #aaaaaa 50%, rgba(255,255,255,0) 0%);
  background-position: bottom center;
  background-size: 25px 1px;
  background-repeat: repeat-x;
  height: 2px;
}

[id^="stage_"] {
  //display: none;
}

#stage_restart {
  height: 64px;
}

#stage_versus_game {
  position: relative;
  max-width: 350px;
  height: 560px;
  /*background-color: #206fc9;
  border-radius: 20px;
  box-shadow: 10px 10px 10px rgba(255,255,255,.5) inset, -10px -10px 10px rgba(0,0,0,.5) inset;*/
}

#colorsContainer{
  padding: 10px;
  background-color: #206fc9;
  border-radius: 20px;
  box-shadow: 10px 10px 10px rgba(255,255,255,.5) inset, -10px -10px 10px rgba(0,0,0,.5) inset;
}

#boardContainer {
  /*position: absolute;
  bottom: 0;*/

  background-color: #206fc9;
  border-radius: 20px;
  box-shadow: 10px 10px 10px rgba(255,255,255,.5) inset, -10px -10px 10px rgba(0,0,0,.5) inset;
}

#boardContainer.win {
  box-shadow: 10px 10px 10px rgba(255,255,255,.5) inset, -10px -10px 10px rgba(0,0,0,.5) inset, 0 0 10px 10px #3fff0055;
}

#boardContainer.lose {
  box-shadow: 10px 10px 10px rgba(255,255,255,.5) inset, -10px -10px 10px rgba(0,0,0,.5) inset, 0 0 10px 10px #ff000047;;
}

.button-option {
  width: 28px;
  height: 28px;
  font-size: 15px;
  border: 0 none;
  border-radius: 50%;
  text-align: center;
  display: inline-block;
  line-height: 27px;
  cursor: pointer;
  box-shadow: -2px -2px 2px rgba(0,0,0,1) inset, 2px 2px 2px rgba(255,255,255,.5) inset;
  color: transparent !important;
}

.button-option.selected {
  background-color: #ff0000;
}


input[name="playerName"] {
  width: 136px;
  display: inline;
  vertical-align: middle;
}

#shareLink.mobile {
  position: relative;
  padding-right: 50px;
}

#shareLink.mobile:after {
  content: '';
  display: block;
  position: absolute;
  background-image: url('../images/whatsapp-icon.svg');
  width: 28px;
  height: 28px;
  background-size: contain;
  background-repeat: no-repeat;
  right: 10px;
}

#playerList {
  width: 200px;
  margin: 0 auto;
}

#playerList li {
  font-size: .85rem;
}

#playerList li:nth-child(odd) {
  background-color: #ccc;
}

#playerList li:nth-child(even) {
  background-color: #eee;
}

#colorOptions {
  box-shadow: 4px 4px 4px 0px rgba(0,0,0,.5) inset, -4px -4px 4px 0 rgba(255,255,255,.25) inset;
  border-radius: 10px;
  padding: 4px 0px;
}

.input-respuesta {
  width: 140px;
  vertical-align: middle;
  margin-right: 8px;
  text-align: center;
  font-size: 20px;
  background-color: rgba(255,255,255,.5) !important;
}

.lista-respuestas li {
  font-size: 20px;
  padding: 0;
  /*height: 38px;*/
  margin-top: 10px;
}

.lista-respuestas li:after {
  clear: both;
  content: '';
  display: block;
  visibility: hidden;
  height: 0;
}

/*.lista-respuestas li:nth-child(odd) {
  background-color: #bbbbbb;
}

.lista-respuestas li:nth-child(even) {
  background-color: #dddddd;
}

.lista-respuestas li > div:first-child {
  float: left;
}

.lista-respuestas li > div:last-child {
  float: right;
}*/

.lista-respuestas .row-num {
  float: left;
  width: 22px;
  height: 100%;
  font-size: 16px;
  line-height: 30px;
  color: rgba(28,61,99,.4);
  font-weight: bolder;
  text-align: right;
  margin-right: 6px;
  position: relative;
}

.lista-respuestas li[data-ready="true"] .row-num {
  color: rgba(255,255,255,.75);
  text-align: center;
  font-size: 20px;
}

li .holes-mini .slds-button {
  display: none;
}

li[data-button="true"] .holes-mini .slds-button {
  display: inline;
  line-height: 30px;
  font-size: 18px;
  border: 0 none;
  vertical-align: top;
}

li[data-button="true"] .holes-mini .hole-mini {
  display: none;
}

.lista-respuestas .holes {
  float: left;
  /*width: 176px;*/
  height: 100%;
}

.lista-respuestas .holes:after {
  clear: both;
  content: '';
  display: block;
  visibility: hidden;
  height: 0;
}

.lista-respuestas li .hole {
  float: left;
  width: 30px;
  height: 30px;
  margin-left: 14px;
  border-radius: 50%;
  box-shadow: 6px 6px 6px rgba(0,0,0,.2) inset, -2px -2px 2px rgba(255,255,255,.2) inset;
}

.lista-respuestas li .hole:first-child {
  margin-left: 0;
}

.lista-respuestas li[data-ready="true"] .hole.ui-droppable.ui-droppable-hover {
  /*background-color: white;*/
  box-shadow: 6px 6px 6px rgba(0,0,0,1) inset, -2px -2px 2px rgba(255,255,255,.4) inset, 0 0 2px 10px rgba(255,255,255, .75);
}

.lista-respuestas li[data-ready="true"] .hole {
  box-shadow: 6px 6px 6px rgba(0,0,0,1) inset, -2px -2px 2px rgba(255,255,255,.4) inset;
}

.lista-respuestas .holes-mini {
  float: right;
  width: 112px;
  height: 100%;
  text-align: center;
  position: relative;
}

.lista-respuestas .holes-mini:after {
  clear: both;
  content: '';
  display: block;
  visibility: hidden;
  height: 0;
}

.lista-respuestas .hole-mini {
  float: left;
  width: 20px;
  height: 20px;
  margin: 5px 4px;
  border-radius: 50%;
  box-shadow: 4px 4px 4px rgba(0,0,0,.2) inset, -2px -2px 2px rgba(255,255,255,.2) inset;
}

.lista-respuestas li[data-ready="true"] .hole-mini {
  box-shadow: 4px 4px 4px rgba(0,0,0,1) inset, -2px -2px 2px rgba(255,255,255,.4) inset;
}

.number-pin {
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 3px;
  text-align: center;
  font-size: 15px;
  box-shadow: -2px -2px 2px rgba(0,0,0,1) inset, 2px 2px 2px rgba(255,255,255,.5) inset;
  color: transparent !important;
}

.pin-color_1 {
  background-color: #ff0000;
  color: white;
}
.pin-color_2 {
  background-color: #0000ff;
  color: white;
}
.pin-color_3 {
  background-color: #ffff00;
}
.pin-color_4 {
  background-color: #6d00a3;
  color: white;
}
.pin-color_5 {
  background-color: #00ff00;
}
.pin-color_6 {
  background-color: #ff8000;
  color: white;
}
.pin-color_7 {
  background-color: #80d7ff;
}
.pin-color_8 {
  background-color: #ff66ff;
  color: white;
}

.pin-color_1:hover, .pin-color_2:hover, .pin-color_4:hover, .pin-color_6:hover, .pin-color_8:hover,
.pin-color_1:active, .pin-color_2:active, .pin-color_4:active, .pin-color_6:active, .pin-color_8:active {
  color: white;
}

.slds-button.pin-color_1, .slds-button.pin-color_3, .slds-button.pin-color_4, 
.slds-button.pin-color_5, .slds-button.pin-color_6, .slds-button.pin-color_7, .slds-button.pin-color_8 {
  text-indent: -1px;
}

.slds-button.pin-color_2 {
  text-indent: 1px;
}

.number-pin.pin-color_2, .number-pin.pin-color_3, .number-pin.pin-color_4, 
.number-pin.pin-color_5, .number-pin.pin-color_7, .number-pin.pin-color_8 {
  text-indent: -1px;
}

.number-pin.pin-color_1, .number-pin.pin-color_6 {
  text-indent: -2px;
}

.pin-result_1, .pin-result_2 {
  width: 16px;
  height: 16px;
  /*display: inline-block;*/
  border-radius: 50%;
  margin: 2px;
  box-shadow: -2px -2px 4px rgba(0,0,0,1) inset, 2px 2px 2px rgba(255,255,255,.5) inset;
}

.pin-result_1 {
  background-color: #e61616;
}

.pin-result_2 {
  background-color: #00d407;
}

.emailCodeField {
  width: 168px;
}

#messageBox {
  height: 20px;
  opacity: 0;
}

#messageBox.message-success {
  color: green;
}

@media(max-width: 320px) {
  #container{
    width: 320px;
  }
  #stage_versus_game {
    width: 320px;
  }

  .lista-respuestas .hole-mini {
    width: 16px;
    height: 16px;
    margin: 8px 4px;
  }

  .pin-result_1, .pin-result_2 {
    width: 12px;
    height: 12px;
    margin: 2px;
  }

  .lista-respuestas li .hole {
    margin-left: 6px;
  }

  .lista-respuestas li {
    margin-top: 8px;
  }
}


